aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ctags
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-03-10 20:37:00 +0000
committerMichael Mason <ms13sp@gmail.com>2009-03-10 20:37:00 +0000
commit8279802efddeaad8939fce9b0f92296bab912bc4 (patch)
tree4600bb5fb878a4a45f3d274fadcd15aeb1b6ea52 /testing/ctags
parentaf501c435be20a086fb7e2eca80c9825e312d3cf (diff)
downloadaports-8279802efddeaad8939fce9b0f92296bab912bc4.tar.gz
aports-8279802efddeaad8939fce9b0f92296bab912bc4.tar.bz2
aports-8279802efddeaad8939fce9b0f92296bab912bc4.tar.xz
testing/tcpproxy
testing/ctags Adding needed package tcpproxy ctags needed to build tcpproxy
Diffstat (limited to 'testing/ctags')
-rw-r--r--testing/ctags/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/ctags/APKBUILD b/testing/ctags/APKBUILD
new file mode 100644
index 0000000000..0d45e287c3
--- /dev/null
+++ b/testing/ctags/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+pkgname=ctags
+pkgver=5.7
+pkgrel=0
+pkgdesc="Generator of tags for all types of C/C++ languages"
+url="http://ctags.sourceforge.net/"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install=
+subpackages=""
+source="http://prdownloads.sourceforge.net/ctags/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+
+ install -m755 -D $pkgname "$pkgdir"/usr/bin/$pkgname
+}
+
+md5sums="643cab63b39c8a24377dc4c781547d40 ctags-5.7.tar.gz"